> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emtelligent.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emtelligent.com/_mcp/server.

# Check on a running processing task

GET https://nlp.emtelligent.com/emtellipro/status/{taskId}

Check the status of a running processing task.

Reference: https://docs.emtelligent.com/nlp/api/tasks/check-on-a-running-processing-task

## Authentication

- `Authorization` header (required) — This API uses [our API key HMAC authentication](/nlp/reference/hmac-authentication), with empty credential scope. Access keys and secret access keys will be provided by Emtelligent; contact us for key management. Keys will consist of only printable ASCII characters, and leading and trailing whitespace is insignificant.
- `x-api-key` header (required) — API keys will be provided by Emtelligent; contact us for key management. Keys will consist of only printable ASCII characters, and leading and trailing whitespace is insignificant.

## Request

### Path parameters

- `taskId` (string, required) — ID of task to check.

### Query parameters

- `timeout` (integer, optional) — The maximum amount of time in seconds the call should wait before returning the status. If the task reaches a terminal state before timeout elaspes, the status will be returned as soon as it is reached.

### Headers

- `Authorization` (string, required) — Authentication information.
- `Host` (string, required) — Host of server.
- `X-Auth-Date` (string, required) — Date and time of request.

## Response

### 200

Successful.

- `state` (enum, required) — State of the task: - setup: This task is still being set up. - processing: This task is being processed. - failure: Processing on this task ended with a failure. - cancelled: This task was cancelled. - success: Processing on this task ended successfully. Results will now be available.
  - Allowed values: `setup`, `processing`, `failure`, `cancelled`, `success`
- `completion` (Completion, optional) — Information about number of completed documents. Will be present if the state is 'processing'. May be present in other states, but is not guaranteed.

## Errors

### 401 Unauthorized Error

Authentication information is missing or invalid.

- `any`

### 404 Not Found Error

Task not found. Tasks not owned by the user will be treated as not found, and tasks may take a little time after submission to become visible.

- `any`

### 500 Internal Server Error

Internal server error.

- `any`

## Types

### Completion

Information about number of completed documents.

- `completed` (integer, required) — Number of completed documents.
- `total` (integer, required) — Total number of documents.

## Examples

**Response**

```json
{
  "state": "processing",
  "completion": {
    "completed": 100,
    "total": 50
  }
}
```

**SDK Code**

```python
import requests

url = "https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657"

headers = {
    "Authorization": "<apiKey>",
    "Host": "nlp.emtelligent.com",
    "X-Auth-Date": "20171225T031510Z"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657';
const options = {
  method: 'GET',
  headers: {
    Authorization: '<apiKey>',
    Host: 'nlp.emtelligent.com',
    'X-Auth-Date': '20171225T031510Z'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Host", "nlp.emtelligent.com")
	req.Header.Add("X-Auth-Date", "20171225T031510Z")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Host"] = 'nlp.emtelligent.com'
request["X-Auth-Date"] = '20171225T031510Z'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657")
  .header("Authorization", "<apiKey>")
  .header("Host", "nlp.emtelligent.com")
  .header("X-Auth-Date", "20171225T031510Z")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657', [
  'headers' => [
    'Authorization' => '<apiKey>',
    'Host' => 'nlp.emtelligent.com',
    'X-Auth-Date' => '20171225T031510Z',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Host", "nlp.emtelligent.com");
request.AddHeader("X-Auth-Date", "20171225T031510Z");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Host": "nlp.emtelligent.com",
  "X-Auth-Date": "20171225T031510Z"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://nlp.emtelligent.com/emtellipro/status/2b871be2-f8d2-44d2-b5bd-e184fb317657")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```